/***************************************************************************
                          inputstring.cpp  -  description
                             -------------------
    begin                : Mon Oct 25 1999
    copyright            : (C) 1999 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "inputstring.h"

inputString::inputString(const char *title, const char *text, QWidget *parent, const char *name) : QDialog(parent,name,true){
	QString aux;
	initDialog();

	aux = title;
	aux.replace( QRegExp("&") , "" );
	aux.replace( QRegExp("\\.") , "" );
	setCaption( aux );
	text_entry->setText( text );

	connect( ok_button, SIGNAL(clicked()), this, SLOT(accept()) );
	connect( cancel_button, SIGNAL(clicked()), this, SLOT(reject()) );
}

inputString::~inputString(){
}

/** Retorna o texto selecionado */
QString inputString::getStr(){
	return text_entry->text();
}








