/***************************************************************************
                          resource.h  -  description
                             -------------------
    begin                : Sun Oct 10 1999
    copyright            : (C) 1999 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qstring.h>

#ifndef _RESOURCE_H_
#define _RESOURCE_H_

// Menu File
#define ID_FILE_PLAY 2001
#define ID_FILE_EXIT 2002
#define ID_FILE_RESET 2003
#define ID_FILE_SETUP 2004
#define ID_FILE_PROFILE 2005
#define ID_PROFILE_NEW 2006
#define ID_PROFILE_REMOVE 2007
#define ID_PROFILE_ITEM 2008
#define ID_STATUS_MSG 2100
#define ID_STATUS_DIR 2101

// Menu de opcoes

// Opcoes Graficas:
#define ID_GRAPHICS_TRANSPARENCY 1000
#define ID_GRAPHICS_SIXTEEN 1001
#define ID_GRAPHICS_HIRES 1002
#define ID_GRAPHICS_INTERPOLATE 1003
#define ID_GRAPHICS_NOMODESWITCH 1004
#define ID_GRAPHICS_FULLSCREEN 1005
#define ID_GRAPHICS_SCALE 1006
#define ID_GRAPHICS_DISPLAYFRAMERATE 1007

// Opcoes de som
#define ID_SOUND_NOSOUND 1009
#define ID_SOUND_STEREO 1010
#define ID_SOUND_ENVX 1011
#define ID_SOUND_THREADSOUND 1012
#define ID_SOUND_SOUNDSYNC 1013
#define ID_SOUND_INTERPOLATEDSOUND 1014
#define ID_SOUND_NOSAMPLECACHING 1015
#define ID_SOUND_NOECHO 1016
#define ID_SOUND_NOMASTERVOLUME 1017
#define ID_SPEED_SOUNDSKIP    1100 // NUMERIC
#define ID_SOUND_SOUNDQUALITY 1101 // NUMERIC
#define ID_SOUND_BUFFERSIZE 1105 // NUMERIC

// Opcoes de cheat
#define ID_CHEAT_GAMEGENIE 1200 // STRING
#define ID_CHEAT_ACTIONREPLAY 1201 // STRING
#define ID_CHEAT_GOLDFINGER 1202 // STRING

// Opcoes de velocidade
#define ID_SPEED_FRAMESKIP 1102 // NUMERIC
#define ID_SPEED_FRAMETIME 1103 // NUMERIC
#define ID_SPEED_CYCLES 1104 // NUMERIC

// Opcoes de compatibilidade
#define ID_ROM_INTERLEAVED 1019
#define ID_ROM_INTERLEAVED2 1020
#define ID_ROM_HIROM 1021
#define ID_ROM_LOROM 1022
#define ID_ROM_HEADER 1023
#define ID_ROM_NOHEADER 1024
#define ID_ROM_PAL 1025
#define ID_ROM_NTSC 1026
#define ID_ROM_LAYERING 1027
#define ID_ROM_LOADSNAPSHOT 1204 // STRING
#define ID_ROM_NOHDMA 1028
#define ID_ROM_NOSPEEDHACKS 1029
#define ID_ROM_NOWINDOWS 1030

// Opcoes de Joystick
#define ID_JOYSTICK_JOYCONF 1400 // SPECIAL
#define ID_JOYSTICK_SWAP 1031
#define ID_JOYSTICK_NOJOY 1018
#define ID_JOYSTICK_OLD 1008
#define ID_JOYSTICK_MISC 1203 // STRING

#define TRUE 1
#define FALSE 0

// Configuration, Later:



#endif



















































