/***************************************************************************
                          ksnes9xsnapshotdir.h  -  description
                             -------------------
    begin                : Tue Dec 21 1999
    copyright            : (C) 1999 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSNES9XSNAPSHOTDIR_H
#define KSNES9XSNAPSHOTDIR_H

// QT Includes
#include <qobject.h>
#include <qstrlist.h>
#include <qstring.h>
#include <qregexp.h>

// KDE Includes
#include <kdir.h>

/**
  *@author Perdig
  */

class KSnes9xSnapshotDir : public QObject  {
	Q_OBJECT
public: 
	KSnes9xSnapshotDir(QObject *parent=0, const char *name=0);
	~KSnes9xSnapshotDir();
  /**  */
  void setFilter(QString filtro);
  /**  */
  void setDefaultSnap( QString snap );
protected: // Protected attributes
  /**  */
  KFileInfoList *fileList;
  /**  */
  QString defSnap;
  KDir *dir;
	QString filter;
public slots: // Public slots
  /** Set the name of the rom */
  void setRomName(QString name);
  /** Set the snapshot dir path */
  void setPath(const char *path);
  /** Ends loading the directory */
  void loaded();
signals: // Signals
  /** Ativado quando acaba de carregar os roms */
  void newMatch(QStrList *list, int index);
};
#endif
